> For the complete documentation index, see [llms.txt](https://docs.inabit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inabit.com/api-reference/introduction-to-graphql.md).

# Introduction to GraphQL

- [What is GraphQL?](https://docs.inabit.com/api-reference/introduction-to-graphql/what-is-graphql.md)
- [GraphQL Schema](https://docs.inabit.com/api-reference/introduction-to-graphql/what-is-graphql/graphql-schema.md): Navigating inabit Data: A Look at the GraphQL Schema
- [Example Using GraphQL](https://docs.inabit.com/api-reference/introduction-to-graphql/what-is-graphql/example-using-graphql.md)
- [Authentication](https://docs.inabit.com/api-reference/introduction-to-graphql/authentication.md): Authenticating to the GraphQL API
- [Queries](https://docs.inabit.com/api-reference/introduction-to-graphql/queries.md): Learn what are queries in GraphQL and how they can be used
- [Example Query](https://docs.inabit.com/api-reference/introduction-to-graphql/queries/example-query.md): A breakdown of an example GraphQL query in inabit
- [Mutations](https://docs.inabit.com/api-reference/introduction-to-graphql/mutations.md): Learn what are mutations in GraphQL and how they can be used
- [Example Mutation](https://docs.inabit.com/api-reference/introduction-to-graphql/mutations/example-mutation.md): A breakdown of an example GraphQL mutation in inabit
- [Variables](https://docs.inabit.com/api-reference/introduction-to-graphql/variables.md): Learn what are variables in GraphQL and how they can be used
- [Fields](https://docs.inabit.com/api-reference/introduction-to-graphql/fields.md): Learn what are fields in GraphQL and how they are used.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inabit.com/api-reference/introduction-to-graphql.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
